import request from '@/utils/request'

// 查询查询日志列表
export function listQueryLog(query) {
  return request({
    url: '/system/queryLog/list',
    method: 'get',
    params: query
  })
}

// 查询查询日志详细
export function getQueryLog(logId) {
  return request({
    url: '/system/queryLog/' + logId,
    method: 'get'
  })
}

// 新增查询日志
export function addQueryLog(data) {
  return request({
    url: '/system/queryLog',
    method: 'post',
    data: data
  })
}

// 修改查询日志
export function updateQueryLog(data) {
  return request({
    url: '/system/queryLog',
    method: 'put',
    data: data
  })
}

// 删除查询日志
export function delQueryLog(logId) {
  return request({
    url: '/system/queryLog/' + logId,
    method: 'delete'
  })
}
